/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 N.Le Corre - nicolas.lecorre@axyus.com
 *   2008 L. Meckert - laurent.meckert@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.export;

public abstract class ExportUndertaker {
     public ExportUndertaker() {};
    public ExportUndertaker(Exporter e) {};
    abstract void  initialize() throws Exception;
    abstract void  buildSheet (ExportElementModel eem) throws Exception ;
    abstract void  finish() throws Exception;
    abstract void close();
    abstract boolean sheetExists(String sheetId) ;
    abstract int getLastLineLastSheet (String sheetId) ;
    abstract void mergeCells( String sheetId, int col1, int row1, int col2, int row2);//  throws Exception;
    abstract void writeCell (String sheetId, Object o, int line, int col, boolean bypassLineRenum) throws Exception;
    abstract void flushLine(String el);
}
